Skip to main content
GET
/
alpha
/
merchant
/
customers
/
{customerId}
/
orders
List orders for a customer
curl --request GET \
  --url https://api.auctionnow.io/api/alpha/merchant/customers/{customerId}/orders \
  --header 'Authorization: <authorization>'
{
  "data": [
    {
      "orderId": "<string>",
      "status": "<string>",
      "totalAmountDollars": 123,
      "subTotalAmountDollars": 123,
      "createdAt": 123,
      "productTitle": "<string>",
      "productImage": "<string>",
      "auctionId": "<string>",
      "productId": "<string>",
      "trackingNumber": "<string>"
    }
  ],
  "timestamp": 123,
  "message": "<string>"
}

Headers

Authorization
string
required

Your Auction Now API key as a Bearer token

Example:

"Bearer ak_XXXXXXX"

Path Parameters

customerId
string
required

The unique ID of the customer

Response

A list of customer orders

data
object[]
required

A list of customer orders

timestamp
number
required
message
string